project(apCurveDataTranslator)

set(SRC_FILES 
    "CurveDataTranslator.h"
    "CurveDataTranslator.cpp"
    "define.h"
    "PfxHair.h"
    "PfxHair.cpp"
    "Plugin.cpp"
    "Xgen.h"
    "Xgen.cpp"
    "utils.h"
    "utils.cpp") 



Find_Package(Maya)

include_directories(
    ${ARNOLD_INCLUDE_PATH}
    ${MTOA_INCLUDE_PATH}
    ${MAYA_INCLUDE_PATH}
    ${MAYA_XGEN_INCLUDE_PATH}
)
add_library(${PROJECT_NAME} SHARED ${SRC_FILES})
set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")

target_link_libraries(${PROJECT_NAME} 
    ${ARNOLD_AI_LIBRARY} 
    ${MTOA_API_LIBRARY}
    ${MAYA_LIBRARIES}
    ${MAYA_XGEN_LIBRARIES})

set(INSTALL_SHADER_TARGET "${CMAKE_INSTALL_PREFIX}/${ARNOLD_VERSION}/${CMAKE_PROJECT_NAME}/extensions")

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${INSTALL_SHADER_TARGET})